%global srcname vary

Name:               nodejs-%{srcname}
Version:            1.1.0
Release:            1%{?dist}
Summary:            Node.js module to Manipulate the HTTP Vary header
License:            MIT
URL:                https://github.com/jshttp/vary
Source0:            https://github.com/jshttp/%{srcname}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch
BuildRequires:      nodejs-packaging
BuildRequires:      npm(mocha)
BuildRequires:      npm(supertest)

%description
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha --reporter spec --check-leaks test/

%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Fri Feb 17 2017 <piotr1212@gmail.com> - 1.1.0-1
- Initial package
